import 'package:flyyfluttersdk/model/FlyyTransactions.dart';

class FlyyAllTransactionsResponse {
  bool success;
  int logsCount;
  List<FlyyTransactions> flyyTransactions;

  FlyyAllTransactionsResponse(
      {this.success, this.logsCount, this.flyyTransactions});

  factory FlyyAllTransactionsResponse.fromJson(Map<String, dynamic> json) {
    return FlyyAllTransactionsResponse(
      success: json['success'],
      logsCount: json['logs_count'],
      flyyTransactions: json.containsKey("all_logs") && json['all_logs'] != null ? List<FlyyTransactions>.from(
          json['all_logs'].map((data) => FlyyTransactions.fromJson(data))): new List(),
    );
  }
}
