class FlyyGiftCardData {
  final String sku, name, description, url, minPrice, maxPrice, imageUrl,tncLink,
      tncContent, gcSource, expiry, value, currencyLabel, currencyIconUrl;
  final int giftCardId, tokensReq, currencyReq;

  FlyyGiftCardData(
      {this.sku, this.name, this.description, this.url, this.minPrice,
        this.maxPrice, this.imageUrl, this.tncLink, this.tncContent, this.gcSource, this.expiry,
        this.value, this.currencyLabel, this.currencyIconUrl, this.giftCardId,
        this.tokensReq, this.currencyReq});

  factory FlyyGiftCardData.fromJson(Map<String, dynamic> json) {
    return FlyyGiftCardData(
      sku: json['sku'],
      name: json['name'],
      description: json['description'],
      url: json['url'],
      minPrice: json['min_price'],
      maxPrice: json['max_price'],
      imageUrl: json['image_url'],
      tncLink: json['tnc_link'],
      tncContent: json['tnc_content'],
      gcSource: json['gc_source'],
      expiry: json['expiry'],
      giftCardId: json['gift_card_id'],
      value: json['value'],
      tokensReq: json['tokens_req'],
      currencyReq: json['currency_req'],
      currencyLabel: json['currency_label'],
      currencyIconUrl: json['currency_icon_url'],
    );
  }
}