import 'FlyyRewardData.dart';

class FlyyReward {
  final bool success;
  final List<FlyyRewardData> rewardsList;
  final int totalEarnedValue, totalCount, perPage;

  FlyyReward({this.success, this.rewardsList, this.totalEarnedValue, this.totalCount, this.perPage});

  factory FlyyReward.fromJson(Map<String, dynamic> json) {
    return FlyyReward(
      success: json['success'] as bool,
      rewardsList: List<FlyyRewardData>.from(json['user_offers'].map((x) =>
          FlyyRewardData.fromJson(x))),
      totalEarnedValue: json['total_earned_value'],
      totalCount: json['total_count'],
      perPage: json['per_page']
    );
  }
}