import 'package:flutter/material.dart';
import 'package:flyyfluttersdk/helpers/FlyyUtility.dart';

class NoDataFoundWidget {
  Widget showNoDataLayout(String message) {
    return Container(
      width: double.maxFinite,
      margin: const EdgeInsets.all(10),
      child: Card(
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.center,
          mainAxisAlignment: MainAxisAlignment.center,
          children: <Widget>[
            Image.network(
              "https://ghc.theflyy.com/assets/fs_assets/ic_broke.png",
              height: 100,
              width: 100,
            ),
            Text(
              message,
              style: TextStyle(
                  fontSize: 18, color: FlyyUtility.parseColor('#323232')),
            )
          ],
        ),
      ),
    );
  }
}
