class FlyyGiftCardTransactionOrderData {
  String prName;
  String prImage;
  String refNumber;
  String createdAt;
  String name;
  String email;
  int amount;
  int tokens;
  String currencyLabel;
  String currencyIcon;

  FlyyGiftCardTransactionOrderData(
      {this.prName,
      this.prImage,
      this.refNumber,
      this.createdAt,
      this.name,
      this.email,
      this.amount,
      this.tokens,
      this.currencyLabel,
      this.currencyIcon});

  factory FlyyGiftCardTransactionOrderData.fromJson(Map<String, dynamic> json) {
    return FlyyGiftCardTransactionOrderData(
      prName: json['pr_name'],
      prImage: json['pr_image'],
      refNumber: json['ref_number'],
      createdAt: json['created_at'],
      name: json['name'],
      email: json['email'],
      amount: json['amount'],
      tokens: json['tokens'],
      currencyLabel: json['currency_label'],
      currencyIcon: json['currency_icon'],
    );
  }
}
