import 'package:flyyfluttersdk/model/FlyyRewardData.dart';

class FlyyScratchReward {
  FlyyRewardData flyyRewardData;
  double totalEarnedValue;
  double totalEarnedTokens;

  FlyyScratchReward(
      {this.flyyRewardData, this.totalEarnedValue, this.totalEarnedTokens});

  factory FlyyScratchReward.fromJson(Map<String, dynamic> json) {
    return FlyyScratchReward(
      flyyRewardData: json.containsKey('user_offer')
          ? FlyyRewardData.fromJson(json['user_offer'])
          : null,
      totalEarnedValue: json['total_earned_value'],
      totalEarnedTokens: json['total_earned_tokens'],
    );
  }
}
