import 'package:flyyfluttersdk/model/FlyyGiftCardTransactionOrderData.dart';

class FlyyTransactions {
  int id;
  int value;
  String creditType;
  String isEarned;
  String reference;
  String message;
  String prizeType;
  String createdAt;
  FlyyGiftCardTransactionOrderData giftCardData;
  String creditReference;
  String debitReference;

  FlyyTransactions(
      {this.id,
      this.value,
      this.creditType,
      this.isEarned,
      this.reference,
      this.message,
      this.prizeType,
      this.createdAt,
      this.giftCardData,
      this.creditReference,
      this.debitReference});

  factory FlyyTransactions.fromJson(Map<String, dynamic> json) {
    return FlyyTransactions(
      id: json['id'],
      value: json['value'],
      creditType: json['credit_type'],
      isEarned: json['is_earned'],
      //reference credit_reference debit_reference
      reference: json['reference' 'credit_reference' 'debit_reference'],
      creditReference: json['credit_reference'],
      debitReference: json['debit_reference'],
      message: json['message'],
      prizeType: json['prize_type'],
      createdAt: json['created_at'],
      giftCardData: json.containsKey('gift_card')
          ? FlyyGiftCardTransactionOrderData.fromJson(json['gift_card'])
          : null,
    );
  }
}
