class FlyyTransferRequest {
  int id;
  int accountId;
  bool isApproved;
  String createdAt;
  String updatedAt;
  int amount;
  int userId;
  String referenceId;
  String transferStatus;

  FlyyTransferRequest(
      {this.id,
      this.accountId,
      this.isApproved,
      this.createdAt,
      this.updatedAt,
      this.amount,
      this.userId,
      this.referenceId,
      this.transferStatus});

  factory FlyyTransferRequest.fromJson(Map<String, dynamic> json) {
    return FlyyTransferRequest(
      id: json['id'],
      accountId: json['account_id'],
      isApproved: json['is_approved'],
      createdAt: json['created_at'],
      updatedAt: json['updated_at'],
      amount: json['amount'],
      userId: json['user_id'],
      referenceId: json['reference_id'],
      transferStatus: json['transfer_status'],
    );
  }
}
